Package com.saxonica.ee.stream

## Enum Sweep

- java.lang.Object
- - java.lang.Enum<Sweep>
  - - com.saxonica.ee.stream.Sweep

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Sweep>`

      public enum Sweep
      extends java.lang.Enum<Sweep>

  The posture of an expression defines the relationship of the result to a streamed input document, as defined in the XSLT 3.0 specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONSUMING` |
    `FREE_RANGING` |
    `MOTIONLESS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Sweep` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Sweep[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.
    `static Sweep` | `wider​(Sweep a, Sweep b)` | Return the wider of two sweeps.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOTIONLESS

          public static final Sweep MOTIONLESS

    - #### CONSUMING

          public static final Sweep CONSUMING

    - #### FREE_RANGING

          public static final Sweep FREE_RANGING

  - ### Method Detail

    - #### values

          public static Sweep[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sweep c : Sweep.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Sweep valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### wider

          public static Sweep wider​(Sweep a,
                                    Sweep b)

      Return the wider of two sweeps. The order of increasing width is MOTIONLESS, CONSUMING, FREE_RANGING.
      Parameters:
        `a` - the first sweep
        `b` - the second sweep
      Returns:
        the wider of the two